| Home | Libraries | People | FAQ | More

###### connection_pool::connection_pool (4 of 4 overloads)

Move-constructor.

###### Synopsis

    connection_pool(
        connection_pool&& other);

###### Description

Constructs a connection pool by taking ownership of `other`.

After this function returns, if `other.valid() == true`, `this->valid() == true`. In any case, `other` will become invalid (`other.valid() == false`).

Moving a connection pool with outstanding async operations is safe.

###### Exception safety

No-throw guarantee.

###### Thead-safety

This function is never thread-safe, regardless of the executor configuration passed to the constructor. Calling this function concurrently with any other function introduces data races.